LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XDigestContextSupplier Interface Reference

This interface allows to get an object to generate a digest of a specified format. More...

`import"XDigestContextSupplier.idl";`

Inheritance diagram for XDigestContextSupplier:

## Public Member Functions
XDigestContext | getDigestContext ([in] long nDigestID, [in] sequence< ::com::sun::star::beans::NamedValue > aParams) raises ( ::com::sun::star::lang::IllegalArgumentException )
| returns an object that allows to generate the specified digest. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface allows to get an object to generate a digest of a specified format.

Since
  OOo 3.4

## Member Function Documentation

XDigestContext getDigestContext | ( | [in] long | nDigestID,
|  | [in] sequence< ::com::sun::star::beans::NamedValue > | aParams
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

returns an object that allows to generate the specified digest.

Parameters

  nDigestID | the internal ID specifying the algorithm, should take value from DigestID
  aParams | optional parameters that could be used to initialize the digest, for example, it could contain a key and etc.

Exceptions

  com::sun::star::lang::IllegalArgumentException | one of provided arguments is illegal

The documentation for this interface was generated from the following file:

- com/sun/star/xml/crypto/XDigestContextSupplier.idl